clang 10.0.0git

Public Member Functions | List of all members
clang::format::Environment Class Reference

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/Format/TokenAnalyzer.h"`

## Public Member Functions
| Environment (StringRef Code, StringRef FileName, ArrayRef< tooling::Range > Ranges, unsigned FirstStartColumn=0, unsigned NextStartColumn=0, unsigned LastStartColumn=0)
FileID | getFileID () const
const SourceManager & | getSourceManager () const
ArrayRef< CharSourceRange > | getCharRanges () const
unsigned | getFirstStartColumn () const
unsigned | getNextStartColumn () const
unsigned | getLastStartColumn () const

## Detailed Description

Definition at line 36 of file TokenAnalyzer.h.

## Constructor & Destructor Documentation

## ◆ Environment()

clang::format::Environment::Environment | ( | StringRef | Code,
|  | StringRef | FileName,
|  | ArrayRef< tooling::Range > | Ranges,
|  | unsigned | FirstStartColumn = `0`,
|  | unsigned | NextStartColumn = `0`,
|  | unsigned | LastStartColumn = `0`
| ) |  |

Definition at line 36 of file TokenAnalyzer.cpp.

References End, clang::CharSourceRange::getCharRange(), clang::SourceManager::getLocForStartOfFile(), and clang::SourceLocation::getLocWithOffset().

## Member Function Documentation

## ◆ getCharRanges()

ArrayRef<CharSourceRange> clang::format::Environment::getCharRanges | ( |  | ) | const
| inline

Definition at line 51 of file TokenAnalyzer.h.

## ◆ getFileID()

FileID clang::format::Environment::getFileID | ( |  | ) | const
| inline

Definition at line 47 of file TokenAnalyzer.h.

## ◆ getFirstStartColumn()

unsigned clang::format::Environment::getFirstStartColumn | ( |  | ) | const
| inline

Definition at line 55 of file TokenAnalyzer.h.

## ◆ getLastStartColumn()

unsigned clang::format::Environment::getLastStartColumn | ( |  | ) | const
| inline

Definition at line 63 of file TokenAnalyzer.h.

## ◆ getNextStartColumn()

unsigned clang::format::Environment::getNextStartColumn | ( |  | ) | const
| inline

Definition at line 59 of file TokenAnalyzer.h.

## ◆ getSourceManager()

const SourceManager& clang::format::Environment::getSourceManager | ( |  | ) | const
| inline

Definition at line 49 of file TokenAnalyzer.h.

The documentation for this class was generated from the following files:

- lib/Format/TokenAnalyzer.h
- lib/Format/TokenAnalyzer.cpp